Bug 15379 - nsgmls: Different behavior than documentation
nsgmls: Different behavior than documentation
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: jade (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-04 08:40 EDT by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-31 16:52:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-08-04 08:40:36 EDT
The program "nsgmls" ships with the jade package, but it is originally part
of "PS", I think. Anyway, it behaves differently than documented in the man
page. The default SGML declaration it uses in case the processed document
does not provide one is in face the docbook one. This might be seen as a
documentation error, but it took me quite a long time to find out using
strace... Thanks for your attention.
Comment 1 Need Real Name 2000-08-04 08:46:27 EDT
The docbook SGML declaration that is used is:
/usr/lib/sgml/dtds/decls/docbook.dcl

Steps to reproduce: Run nsgmls example.sgml, with a file example.sgml
containing:

<!DOCTYPE mydoc [
	<!ELEMENT mydoc - -	(blah)>
	<!ELEMENT blah  - O	(#PCDATA)    >
]>
<mydoc>
<blah>Dies ist der Text im blah
</mydoc>

nsgmls says "nsgmls:example.sgml:7:7:E: end tag for "BLAH" omitted, but OMITTAG
NO was specified". According to the man page, the default sgml declaration has
OMITTAG YES.
Comment 2 Tim Waugh 2000-10-03 11:02:06 EDT
If you have:

SGMLDECL "dtds/decls/docbook.dcl"

in /usr/lib/sgml/CATALOG then this is correct behaviour, at least according to
the documentation I'm looking at.

If this is not the case, please reopen.

Note You need to log in before you can comment on or make changes to this bug.